Docker Container Best Practices: Difference between revisions

From NovaOrdis Knowledge Base
Jump to navigation Jump to search
Line 57: Line 57:
** in "Design patterns for container-based distributed systems" https://www.usenix.org/system/files/conference/hotcloud16/hotcloud16_burns.pdf
** in "Design patterns for container-based distributed systems" https://www.usenix.org/system/files/conference/hotcloud16/hotcloud16_burns.pdf
** in https://www.infoq.com/articles/kubernetes-effect
** in https://www.infoq.com/articles/kubernetes-effect
* O'Reilly Designing Distributed Systems Patterns and Paradigms for Scalable, Reliable Services http://shop.oreilly.com/product/0636920072768.do

Revision as of 17:21, 15 March 2018

External

Internal

Overview

Reference

Document Images

Methods to Document Images
  • Logging
  • Metrics
  • Storage
  • Operations
  • Upgrades

Java in a Container

Java in a Container

Fail Early

Check the environment configuration and fail early in the ENTRYPOINT script:

 #
 # check the environment and fail early, when the container executed for the first time
 #
/opt/dsmanager/bin/dsmanager check-configuration || { echo "dsmanager configuration error" 1>&2; exit 1; }

/opt/dsmanager/bin/dsmanager check-configuration must exit with a non-zero value if the configuration fails.

To Process